unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  bmaiTILocator, CoolTrayIcon, StdCtrls, ExtCtrls, Balloon;

type
  TForm1 = class(TForm)
    CoolTrayIcon1: TCoolTrayIcon;
    Button2: TButton;
    Image1: TImage;
    Image2: TImage;
    ComboBox1: TComboBox;
    Label1: TLabel;
    BalloonControl1: TBalloonControl;
    Button1: TButton;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Bevel1: TBevel;
    Bevel2: TBevel;
    Bevel3: TBevel;
    Bevel4: TBevel;
    Bevel5: TBevel;
    Bevel6: TBevel;
    Bevel7: TBevel;
    Label9: TLabel;
    bmaiTILocator1: TbmaiTILocator;
    CheckBox1: TCheckBox;
    procedure Button2Click(Sender: TObject);
    procedure ComboBox1Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure CoolTrayIcon1Click(Sender: TObject);
  private
    procedure UpdateLabels;
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  ix, iy: integer;

implementation

{$R *.dfm}

procedure TForm1.UpdateLabels;
var
  R: TRect;
begin
  if bmaiTILocator1.IsPlatformXP then
    Label2.Caption := 'Windows XP detected'
  else
    Label2.Caption := 'Windows XP not detected';
  if bmaiTILocator1.IsIconVisible then
    Label3.Caption := 'Tray Icon is Visible'
  else
    Label3.Caption := 'Tray Icon is Not visible';
  R := bmaiTILocator1.GetSysTrayRect;
  Label4.Caption := 'Icon position: ' +
    'X=' + inttostr(bmaiTILocator1.IconPosition.X) + ', ' +
    'Y=' + inttostr(bmaiTILocator1.IconPosition.Y);
  Label5.Caption := 'System Tray coordinates:' + #13 +
    'Left=' + inttostr(R.Left) + ', Top=' + inttostr(r.Top) +
    ', Right=' + inttostr(R.Right) + ', Bottom=' + inttostr(R.Bottom);
  Label6.Caption := 'System Tray location detected as: ';
  case bmaiTILocator1.SysTrayLocaton of
    stRight: Label6.Caption := Label6.Caption + 'Right';
    stBottom: Label6.Caption := Label6.Caption + 'Bottom';
    stTop: Label6.Caption := Label6.Caption + 'Top';
    stLeft: Label6.Caption := Label6.Caption + 'Left';
    stHidden: Label6.Caption := Label6.Caption + 'Hidden';
    stError: Label6.Caption := Label6.Caption + 'Error';
  end;
  R := bmaiTILocator1.GetTaskBarRect;
  Label7.Caption := 'Task Bar coordinates:' + #13 +
    ' Left=' + inttostr(R.Left) + ', Top=' + inttostr(R.Top) +
    ', Right=' + inttostr(R.Right) + ', Bottom=' + inttostr(R.Bottom);
  Label8.Caption := 'Task Bar location detected as: ';
  case bmaiTILocator1.TaskBarLocaton of
    tbRight: Label8.Caption := Label8.Caption + 'Right';
    tbBottom: Label8.Caption := Label8.Caption + 'Bottom';
    tbTop: Label8.Caption := Label8.Caption + 'Top';
    tbLeft: Label8.Caption := Label8.Caption + 'Left';
    tbHidden: Label8.Caption := Label8.Caption + 'Hidden';
    tbError: Label8.Caption := Label8.Caption + 'Error';
  end;
  //  IconPosition: TPoint;

end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  Close;
end;

procedure TForm1.ComboBox1Click(Sender: TObject);
begin
  BalloonControl1.CloseBalloons;
  case ComboBox1.ItemIndex of
    7: //  liBottomCenter
      begin
        bmaiTILocator1.LocatePixelInIcon := liBottomCenter;
        Image2.Left := Image1.Left + 70;
        Image2.Top := Image1.Top + 150;
      end;
    6: // liBottomLeft
      begin
        bmaiTILocator1.LocatePixelInIcon := liBottomLeft;
        Image2.Left := Image1.Left;
        Image2.Top := Image1.Top + 150;
      end;
    8: // liBotomRight
      begin
        bmaiTILocator1.LocatePixelInIcon := liBottomRight;
        Image2.Left := Image1.Left + 150;
        Image2.Top := Image1.Top + 150;
      end;
    4: // liCenter
      begin
        bmaiTILocator1.LocatePixelInIcon := liCenter;
        Image2.Left := Image1.Left + 70;
        Image2.Top := Image1.Top + 70;
      end;
    3: // liCenterLeft
      begin
        bmaiTILocator1.LocatePixelInIcon := liCenterLeft;
        Image2.Left := Image1.Left;
        Image2.Top := Image1.Top + 70;
      end;
    5: // liCenterRight
      begin
        bmaiTILocator1.LocatePixelInIcon := liCenterRight;
        Image2.Left := Image1.Left + 150;
        Image2.Top := Image1.Top + 70;
      end;
    1: // liTopCenter
      begin
        bmaiTILocator1.LocatePixelInIcon := liTopCenter;
        Image2.Left := Image1.Left + 70;
        Image2.Top := Image1.Top;
      end;
    0: // liTopLeft
      begin
        bmaiTILocator1.LocatePixelInIcon := liTopLeft;
        Image2.Left := Image1.Left;
        Image2.Top := Image1.Top;
      end;
    2: //liTopRight
      begin
        bmaiTILocator1.LocatePixelInIcon := liTopRight;
        Image2.Left := Image1.Left + 150;
        Image2.Top := Image1.Top;
      end;
  end;
  if bmaiTILocator1.LocateIcon(CoolTrayIcon1.Icon) then
  begin
    BalloonControl1.Text.Clear;
    BalloonControl1.Title := 'Icon position';
    BalloonControl1.Text.Add('X=' + inttostr(bmaiTILocator1.IconPosition.X));
    BalloonControl1.Text.Add('Y=' + inttostr(bmaiTILocator1.IconPosition.Y));
    BalloonControl1.PixelCoordinateX := bmaiTILocator1.IconPosition.X;
    BalloonControl1.PixelCoordinateY := bmaiTILocator1.IconPosition.Y;
    BalloonControl1.ShowPixelBalloon;
    if CheckBox1.Checked then
      SetCursorPos(bmaiTILocator1.IconPosition.X, bmaiTILocator1.IconPosition.Y);
  end;
  UpdateLabels;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  ComboBox1Click(Sender);
  ComboBox1.SetFocus;
  UpdateLabels;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  ComboBox1Click(Sender);
end;

procedure TForm1.CoolTrayIcon1Click(Sender: TObject);
begin
  BalloonControl1.CloseBalloons;
end;

end.

